<template>
  <b-container fluid>
    <b-card header="คัดเลือกผู้สมัคร" class="text-center h3">
      <b-card-body>
        <table class="table table-bordered h6">
          <thead>
            <tr>
              <th>ลำดับ</th>
              <th>รายชื่อผู้สมัคร</th>
              <th>สถานะ</th>
              <th>รายละเอียด</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="app in applicationList" :key="app.id">
              <td>{{ no }}</td>
              <td>{{ app.resumeId }}</td>
              <td>
                <b-row id="status">
                  <b-col v-if="app.statusApplication==='waiting'" id="waiting">รอพิจารณา</b-col>
                  <b-col v-if="app.statusInterview.status==='default'" id="interviewDefault">การนัดสัมภาษณ์</b-col></b-row
                >
              </td>
              <td><b-button variant="primary">ดูรายละเอียดเพิ่มเติม</b-button></td>
            </tr>
          </tbody>
        </table>
      </b-card-body>
    </b-card>
  </b-container>
</template>
<style scoped>
.card {
  margin-top: 10px;
}
#status {
  display: flex;
  flex-direction: row;
}
#waiting{
  background-color: rgb(173, 172, 172);
  margin: 5px;
}
#interviewDefault{
  background-color: rgb(173, 172, 172);
  margin: 5px;
}
</style>
<script>
import applicationService from '../Service/Application_v2'
// import applicantService from '../Service/Applicants'
export default {
  data () {
    return {
      currentDeclareId: 1,
      applicationList: [],
      no: 1
    }
  },
  methods: {
    autoNumber () {
      this.no++
    }
  },
  mounted () {
    console.log('Vue is Applicant Selection page')
    this.applicationList = applicationService.getApplicationsByCompany(
      this.currentDeclareId
    )
    console.log(this.applicationList)
  }
}
</script>
